#!/bin/sh

INTERFACE="ppp0"
TELNR=[Handy Nummer ohne Vorwahl]
/sbin/ifconfig | grep $INTERFACE > /dev/null
if [ $? -eq 0 ]; then
	/sbin/ifconfig $INTERFACE | grep 'inet addr' | awk '{print $2}' | awk --field-separator=: '{print $2}' > $$.tmp
	MY_IPADDR=$(cat $$.tmp)
	rm $$.tmp
	OLD_IP=$(cat oldip.txt)
	ONDATE=$(date)
	MSG="New IP addr: $MY_IPADDR Date: $ONDATE"
	if [ $MY_IPADDR != $OLD_IP ]; then
		echo $MY_IPADDR > oldip.txt
		java OneSMS $TELNR "$MSG"
	fi
fi